<?php
#
# COLORS
#

# Text Color
$tcolor = "black";
# This is the color defined by https://materializecss.com/color.html
$color = "yellow lighten-5";




#
# BASEINFO
#

#The Name of the Role
$name = "Beacon";
#The Description of the Role, HTML conform :)
$description = "A simple and innocent person, they rose up to power as their friends fell one by one.";




#
# TABS
#

#How To play
$howtoplay = "The beacon is an innocent who becomes more powerful each time someone on their team is confirmed dead. How they are buffed is determined by a series of convars, but by default consists of minor improvements to a slew of stats, including: jump power, speed, damage resistance, damage, fire rate, and health regeneration.

If they accrue enough power, they literally light up and their role is revealed to everyone. This makes them as trustworthy as a detective, but will also alert antagonists to their growing power.

There is but one catch: The beacon mustn't kill someone on their team. If they do, they will become an innocent, and take (potentially lethal) damage. Furthermore, an innocent killer can never become a beacon (ex. an amnesiac who kills the beacon in an attempt to inherit their powers). Such a person becomes an innocent instead.

A final note: The default settings are on the weaker end of the balance spectrum, and exist mostly to show what it can do. Feel free to use the many convars to rebalance the beacon to best fit your server.";
#With what roles does this role play best?
$playsbestwith = "
<ul>
<li>Amnesiac</li>
<li>Unknown</li>
<li>Wrath</li>
<ul>
";
#Convars
$convars = "Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_beacon_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_beacon_pct [0.0..1.0] (default: 0.15)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_beacon_max [0..n] (default: 1)
# the probability each round of this role being spawned at all
  ttt_beacon_random [0..100] (default: 30)
# the amount of players needed for this role to spawn
  ttt_beacon_min_players: [0..n] (default: 6)</code>

Rolespecific Convars:
<code># the number of buffs that the beacon starts with
  ttt2_beacon_min_buffs [0..n] (default: 1)
# The maximum number of buffs that the beacon can achieve
  ttt2_beacon_max_buffs [0..n] (default: 5)
# Upon receiving this many buffs, the beacon lights up, revealing their role (like a detective)
  ttt2_beacon_deputize_num_buffs [0..n] (default: 3)
# Beacon receives a buff when these types of players are confirmed dead
  ttt2_beacon_search_mode [0..3] (default: 0)
  # 0: Team mates are confirmed dead (innocents, survivalists, detectives, etc.)
  # 1: Non team mates are confirmed dead (traitors, infected, serial killers, jesters, etc.)
  # 2: Anyone is confirmed dead
  # 3: Do not buff based on player death
# Beacon receives a buff the instant that a mate/non-mate/player dies (based on search_mode above)
  ttt2_beacon_buff_on_death [0/1] (default: 0)
# Beacon receives a buff every x seconds. This is disabled if x is 0.
  ttt2_beacon_buff_every_x_seconds [0..n] (default: 0)
# The damage the beacon receives if they kill one of their mates
  ttt2_beacon_judgement [0..n] (default: 20)
# Beacon is demoted to Innocent if they kill someone on the Innocent team
  ttt2_beacon_demotion_enable [0/1] (default: 1)

###BUFFS###
# The speed boost the beacon gets per buff (as a percentage of default speed)
  ttt2_beacon_speed_boost [0.0..n.m] (default: 0.2)
# The stamina boost the beacon gets per buff (as a percentage of default stamina. Affects how long the beacon can sprint for)
  ttt2_beacon_stamina_boost [0.0..n.m] (default: 0.2)
# The stamina regen boost the beacon gets per buff (as a percentage of default stamina regen. Affects how quickly the sprint meter refills)
  ttt2_beacon_stamina_regen_boost [0.0..n.m] (default: 0.2)
# The jump power boost the beacon gets per buff (as a percentage of default jump power. If this is greater than 0, the beacon will receive the NoFallDamage item)
  ttt2_beacon_jump_boost [0.0..n.m] (default: 0.2)
# The flat damage resistance boost the beacon gets per buff (as a percentage of damage which will be ignored)
  ttt2_beacon_resist_boost [0.0..n.m] (default: 0.15)
# The armor the beacon gets per buff (by default a player with armor has 30+% damage reduction. Armor is reduced by each hit absorbed)
  ttt2_beacon_armor_boost [0..n] (default: 0)
# The health regen per second the beacon gets per buff (ex. 0.2 ==> 1 HP every 5 seconds)
  ttt2_beacon_hp_regen_boost [0.0..n.m] (default: 0.2)
# The damage boost the beacon gets per buff (as a percentage of default damage)
  ttt2_beacon_damage_boost [0.0..n.m] (default: 0.10)
# The fire rate boost that the beacon gets per buff (as a percentage of default fire rate. Only applies to melee, pistol, and heavy type weapons)
  ttt2_beacon_fire_rate_boost [0.0..n.m] (default: 0.2)</code>";



#
# Credits
#

#The Steam URL to your addon
$steam = "https://steamcommunity.com/sharedfiles/filedetails/?id=2199956605";
#The Source URL to your addon
$source = "https://steamcommunity.com/linkfilter/?url=https://github.com/AaronMcKenney/ttt2-role_beac";

#Creator of the Addon
$author = "BlackMagicFine";
#Creatorlink
$authorurl = "https://steamcommunity.com/profiles/76561198025772353/";

# Credittext (can use the above variables)
$ctext = "BlackMagicFine: creator of this role addon
Smuggles: designer of the role icon
Mineotopia: designer of the role thumbnail
berry: Russian translation";

?>
