<?php
#
# COLORS
#

# Text Color
$tcolor = 'white';
# This is the color defined by https://materializecss.com/color.html
$color = 'deep-purple darken-1';




#
# BASEINFO
#

#The Name of the Role
$name = 'Cursed';
#The Description of the Role, HTML conform :)
$description = 'Cursed to fail. Cursed to be weak. Cursed to live forever.';




#
# TABS
#

#How To play
$howtoplay = "The Cursed has no team and cannot win. They cannot deal damage. Death is impermanent as they will always resurrect. A player who has been afflicted must work to remove their Cursed status, which can only be done by changing roles. Two methods are provided to them: They can 'tag' a different player by interacting with them, or they can shoot a different player with their RoleSwap Deagle. Both of these methods will swap roles between the two players, meaning that over time, everyones' roles will be shuffled. A former Cursed cannot be 'tagged' (and may not harm the new Cursed player) until another role swap has occurred (i.e. 'No backsies').

Think of it like a game of tag, if it makes you feel better.

Also you can press 'V' to set yourself on fire. Use this to respawn at worldspawn if you happen to die, or to set yourself on fire.

I also created two items that involve this role: <a href='https://steamcommunity.com/sharedfiles/filedetails/?id=2588987999'> Countercurse Mantra</a> and <a href='https://steamcommunity.com/sharedfiles/filedetails/?id=2588990281'>Cursed Deagle</a>.";
#With what roles does this role play best?
$playsbestwith = '
<ul>
<li>Any role</li>
<ul>
';
#Convars
$convars = "Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_cursed_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_cursed_pct [0.0..1.0] (default: 0.13)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_cursed_max [0..n] (default: 1)
# the probability each round of this role being spawned at all
  ttt_cursed_random [0..100] (default: 30)
# the amount of players needed for this role to spawn
  ttt_cursed_min_players: [0..n] (default: 6)</code>

Rolespecific Convars:
<code># Can the Cursed swap roles with Detectives?
  ttt2_cursed_affect_det [0/1] (default: 1)
# Is the Cursed immune to all forms of damage?
  ttt2_cursed_damage_immunity [0/1] (default: 0)
# How many seconds must pass before the Cursed respawns (Respawning disabled if <= 0)?
  ttt2_cursed_seconds_until_respawn [0..n] (default: 10)
# When the Cursed respawns, will they respawn at a randomly selected player spawn?
  Note: If disabled, the Cursed will respawn where they died.
  ttt2_cursed_respawn_at_mapspawn [0/1] (default: 0)
# What is the range on the Cursed's tagging ability (close range role swap via interaction)?
  ttt2_cursed_tag_dist [0..n] (default: 150)
# How long must the Cursed wait before they can tag someone who tagged them (No backsies if 0)?
  ttt2_cursed_backsies_timer [0..n] (default: 0)
# Can a player damage Cursed players while they have 'No backsies'?
  ttt2_cursed_no_dmg_backsies [0/1] (default: 0)
# How should the Cursed's Self-Immolate ability work?
  ttt2_cursed_self_immolate_mode [0..2] (default: 2)
  # 0: Cursed cannot self-immolate
  # 1: Cursed can only set their corpse on fire
  # 2: Cursed can self-immolate when alive or dead
# This multiplier applies directly to the Cursed's speed (ex. 2.0 means they move twice as fast).
  ttt2_cursed_speed_multi [0.0..n.m] (default: 1.2)
# This multiplier applies directly to the Cursed's stamina regen (ex. 2.0 means the sprint bar fills up twice the normal speed).
  ttt2_cursed_stamina_regen [0.0..n.m] (default: 1.0)
# This multiplier applies directly to how fast the Cursed's stamina bar depletes (ex. 0.5 means the sprint bar decays at half the normal speed).
  ttt2_cursed_stamina_drain [0.0..n.m] (default: 0.35)
# Should the Cursed spawn with a RoleSwap deagle, for long-range swapping?
  ttt2_role_swap_deagle_enable [0/1] (default: 1)
# How long does it take for the RoleSwap deagle to refill its ammo (Won't refill if <= 0)?
  ttt2_role_swap_deagle_refill_time [0..n] (default: 30)</code>";



#
# Credits
#

#The Steam URL to your addon
$steam = 'https://steamcommunity.com/workshop/filedetails/?id=2535321538';
#The Source URL to your addon
$source = 'https://steamcommunity.com/linkfilter/?url=https://github.com/AaronMcKenney/ttt2-role_curs';

#Creator of the Addon
$author = 'blackmagicfine';
#Creatorlink
$authorurl = 'https://steamcommunity.com/profiles/76561198025772353';

# Credittext (can use the above variables)
$ctext = 'BlackMagicFine: creator of this role addon
Smuggles: designer of the role icon
Wasted: designer of the role thumbnail';

?>
