<?php
#
# COLORS
#

# Text Color
$tcolor = 'white';
# This is the color defined by https://materializecss.com/color.html
$color = 'pink darken-4';




#
# BASEINFO
#

#The Name of the Role
$name = 'Cyclone & Hurricane';
#The Description of the Role, HTML conform :)
$description = 'Havoc brings destruction. But it also brings hope & a new beginning. Hurricane creates a path to new hope as Cyclone tears it all down again.';




#
# TABS
#

#How To play
$howtoplay = "These roles have been inspired by the card game 'The Werewolves of Millers Hollow' (ger.: Die Werwölfe von Düsterwald). They are based on the raven.

The Cyclone plays with the Traitor team, during the Hurricane plays as a policing role in the team of the Innocents. Both play almost the same, so you can play with only one of them without any problems, but the roleplay is most interesting when both roles are active.

The Cyclone is a normal traitor - besides their special ability, the Hurricane, however, has a special rule to be played with:

The Hurricane starts with no credits and they won't be able to get credits throughout the game. But they do see the range of the traitor shop, so if you play with random shop, Hurricane will know which items are currently available in the traitor's shop.

Lastly, both Cyclone and Hurricane have a common feature: They can mark a player as 'suspicious'. If they do so, the player will be shown to everyone and they can reach only a specific amount of HP throughout the round. (It works like the threatening letter of the raven from 'Werewolves')

To mark someone, they do not have an extra weapon in the process, like other roles. Instead, the first bullet or grenade they hit a player with marks that player. This bullet or grenade does not wound the player, but only marks him. Their name is then shown on a HUD element, so everyone will know everytime that the player is suspicious and their HP will be reduced.

But beware: Cyclone and Hurricane share the same HUD element and only the last marked player will stay marked, so both can manipulate each other.

Note: Some features explained here, might differ, if they are configured differently by means of the convars. Other setting can be changed in the role settings in the F1 menu.";
#With what roles does this role play best?
$playsbestwith = '
<ul>
<li>Impostor</li>
<li>Vigilante</li>
<li>Marker</li>
<ul>
';
#Convars
$convars = "Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_cyclone_enabled [0/1] (default: 1)
  ttt_hurricane_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_cyclone_pct [0.0..1.0] (default: 0.15)
  ttt_hurricane_pct [0.0..1.0] (default: 0.15)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_cyclone_max [0..n] (default: 1)
  ttt_hurricane_max [0..n] (default: 1)
# the probability each round of this role being spawned at all
  ttt_cyclone_random [0..100] (default: 33)
  ttt_hurricane_random [0..100] (default: 33)
# the amount of players needed for this role to spawn
  ttt_cyclone_min_players: [0..n] (default: 7)
  ttt_hurricane_min_players: [0..n] (default: 7)</code>

Rolespecific Convars:
<code># Does the Cyclone/Hurricane lose their weapon, they marked a player with?
  ttt_cyclone_always_strip_weapons [0/1] (default: 1)
  ttt_hurricane_always_strip_weapons [0/1] (default: 1)
# What is the maximum HP the marked player can reach while being marked?
  ttt_cyclone_set_max_health [0.. 100] (default: 50)
  ttt_hurricane_set_max_health [0.. 100] (default: 50)
# How many HP does the marked player get when they are marked?
  ttt_cyclone_set_cur_health [0.. 100] (default: 50)
  ttt_hurricane_set_cur_health [0.. 100] (default: 50)
# Should a pop up with info about the marked player be displayed when the player is marked?
  ttt_cyclone_print_anounce_popup [0/1] (default: 1)
  ttt_hurricane_print_anounce_popup [0/1] (default: 1)
# Mute the marked player's voice Chat as long as they are marked?
  ttt_cyclone_mute_marked_ply [0/1] (default: 1)
  ttt_hurricane_mute_marked_ply [0/1] (default: 1)
# Disable the marked player's team chat (if there is one) as long as they are marked?
  ttt_cyclone_disable_tchat [0/1] (default: 1)
  ttt_hurricane_disable_tchat [0/1] (default: 1)
# Disable the marked player's general chat as long as they are marked?
  ttt_cyclone_disable_gchat [0/1] (default: 1)
  ttt_hurricane_disable_gchat [0/1] (default: 1)</code>";



#
# Credits
#

#The Steam URL to your addon
$steam = 'https://steamcommunity.com/sharedfiles/filedetails/?id=2649192326';
#The Source URL to your addon
$source = 'https://steamcommunity.com/linkfilter/?url=https://github.com/Pythagorion/ttt2-role_cyc_and_hurr';

#Creator of the Addon
$author = 'aPythagorion';
#Creatorlink
$authorurl = 'https://steamcommunity.com/id/bypythagyros';

# Credittext (can use the above variables)
$ctext = 'Pythagorion: creator of this role addon
Mineotopia: designer of the role icon and co-coder';

?>
