<?php
#
# COLORS
#

# Text Color
$tcolor = 'white';
# This is the color defined by https://materializecss.com/color.html
$color = 'deep-purple darken-1';




#
# BASEINFO
#

#The Name of the Role
$name = 'Defective';
#The Description of the Role, HTML conform :)
$description = 'It cost us significant capital, but we finally did it. We turned a detective into a no good rotten traitor.';




#
# TABS
#

#How To play
$howtoplay = "Visually and functionally, the defective operates similarly to a regular detective. They use the detective's shop, have a DNA scanner, and look like a detective to those not on their team. However, they are a traitor: They take up a traitor's spot and a traitor test will reveal them as such.";
#With what roles does this role play best?
$playsbestwith = '
<ul>
<li>Spy</li>
<li>Mesmerist</li>
<li>Bodyguard</li>
<li>2+ Detectives</li>
<ul>
';
#Convars
$convars = "Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_defective_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_defective_pct [0.0..1.0] (default: 0.13)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_defective_max [0..n] (default: 1)
# the probability each round of this role being spawned at all
  ttt_defective_random [0..100] (default: 30)
# the amount of players needed for this role to spawn
  ttt_defective_min_players: [0..n] (default: 10)</code>

Rolespecific Convars:
<code># Send a popup message if there's a defective and detective at the start of the round?
  ttt2_defective_inform_everyone [0/1] (default: 1)
# Prevent the detective from purchasing items that aren't in the defective's shop?
  # You can create your own custom shop for the defective via the 'shopeditor' command.
  # You can use this as a way to prevent the detective from purchasing a portable tester, golden deagle, etc. when a defective is active.
  # Do not enable if ttt2_random_team_shops is enabled (may prevent dets from purchasing most things at random).
  ttt2_defective_shop_order_prevention [0/1] (default: 0)
# Prevent all defectives and detectives from harming one another (unless all other members on their teams are dead)?
  ttt2_defective_detective_immunity [0/1] (default: 1)
# Can the defective see their fellow team mates (e.g. traitors, bodyguards, etc.)?
  ttt2_defective_can_see_traitors [0/1] (default: 1)
# Are traitors informed about who the defective is?
  ttt2_defective_can_be_seen_by_traitors [0/1] (default: 1)
# Can the defective see their fellow defectives?
  ttt2_defective_can_see_defectives [0/1] (default: 1)
# When should def's true role be revealed?
  ttt2_defective_corpse_reveal_mode [0..3] (default: 0)
  # 0: Search never reveals def's role
  # 1: Search reveals def's role when all dets and defs are dead
  # 2: Search reveals def's role when all defs are dead
  # 3: Search reveals def's role
# How should special detectives (ex. Sheriff, Vigilante, Sniffer) be handled when the defective is in play?
  ttt2_defective_special_det_handling_mode [0..2] (default: 1)
  # 0: Do not alter special dets
  # 1: Force all special dets to be normal dets
  # 2: Force all special dets to be normal dets, but give them back their roles if: all defs are dead, defs can be revealed, and the former special det didn't undergo a role change (ex. did not become infected)
# If there are no detectives at the beginning of the round, should any player with this role be forced into a generic Traitor role?
  ttt2_defective_disable_spawn_if_no_detective [0/1] (default: 1)
# The chance that at the beginning of the round a detective will be 'demoted' into an innocent for every defective.
  Note: ttt2_defective_inform_everyone won't activate if all detectives have been demoted.
  Note: ttt2_defective_disable_spawn_if_no_detective takes priority over this ConVar.
  ttt2_defective_demote_detective_pct [0.0..n.m] (default: 0.0)</code>";



#
# Credits
#

#The Steam URL to your addon
$steam = 'https://steamcommunity.com/sharedfiles/filedetails/?id=2251440528';
#The Source URL to your addon
$source = 'https://steamcommunity.com/linkfilter/?url=https://github.com/AaronMcKenney/ttt2-role_def';

#Creator of the Addon
$author = 'blackmagicfine';
#Creatorlink
$authorurl = 'https://steamcommunity.com/profiles/76561198025772353';

# Credittext (can use the above variables)
$ctext = 'Pythagorion: creator of this role addon
Mineotopia: designer of the role icon and co-coder';

?>
