<?php
#
# COLORS
#

# Text Color
$tcolor = 'black';
# This is the color defined by https://materializecss.com/color.html
$color = 'cyan lighten-4';




#
# BASEINFO
#

#The Name of the Role
$name = 'Duelist';
#The Description of the Role, HTML conform :)
$description = 'Duel to the death...';




#
# TABS
#

#How To play
$howtoplay = "The Duelist is a neutral killing role that must win a duel to receive a role and team he can win on. When assigned, another player also becomes a Duelist, and their previous role will be the prize. Duellists are always notified about the names of other Duellists they need to kill. If a single Duelist survives, they victoriously won the duel and will become the prize role. Duellists will prevent the game from ending if they’re still alive and regenerate their health up to 100hp if they are below this amount when they win the duel.

With default settings, being secritive about your role might be best, as other players might just kill you to end the dueling.

Other settings/convars can be enabled to give immunity to the Duellists so no one else can interfere with the duel. Duellists can also be made public, so that others will know who the Duellists are. The prize role that a victorious Duelist can become can also be changed to a random role or specifically the 'Undecided' role (if role doesn't exist, reverts back to default state).";
#With what roles does this role play best?
$playsbestwith = '
<ul>
<li>Any role</li>
<ul>
';
#Convars
$convars = 'Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_duelist_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_duelist_pct [0.0..1.0] (default: 0.17)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_duelist_max [0..n] (default: 1)
# the probability each round of this role being spawned at all
  ttt_duelist_random [0..100] (default: 30)
# the amount of players needed for this role to spawn
  ttt_duelist_min_players: [0..n] (default: 6)</code>

Rolespecific Convars:
<code># Is Duelist public to all players
  ttt2_duelist_is_public [0..1] (default: 0)
# Do Duellists prevent a win from occuring if still alive
  ttt2_duelist_prevent_win [0..1] (default: 1)
# Duellists can only hurt and be hurt by other duellists
  ttt2_duelist_immunity [0..1] (default: 0)
# Prize Role: (0)=Previous Duelist Role (1)=Random Role (2)=Undecided Role
  ttt2_duelist_prize_type [0..1] (default: 0)
# How much health Duellists can get up to when victorious
  ttt2_duelist_victory_regenerate [0..200] (default: 100)</code>';

#
# Credits
#

#The Steam URL to your addon
$steam = 'https://steamcommunity.com/sharedfiles/filedetails/?id=2659150057';
#The Source URL to your addon
$source = 'https://steamcommunity.com/linkfilter/?url=https://github.com/TaintedEnergy/ttt2-role-duel';

#Creator of the Addon
$author = 'TaintedEnergy';
#Creatorlink
$authorurl = 'https://steamcommunity.com/profiles/76561198119233797';

# Credittext (can use the above variables)
$ctext = '';

?>
