<?php
#
# COLORS
#

# Text Color
$tcolor = 'black';
# This is the color defined by https://materializecss.com/color.html
$color = 'amber darken-3';




#
# BASEINFO
#

#The Name of the Role
$name = 'Glutton';
#The Description of the Role, HTML conform :)
$description = "You are so very hungry, you must consume the flesh of your enemies! If you don't, there's no telling the monster that will be unleashed!";



#
# TABS
#

#How To play
$howtoplay = "The Glutton is a Traitor role whose hunger acts as their weapon. They have an ever decreasing hunger bar which slowly grants them buffs to their special weapon: Devour. Devour's primary attack is a bite which deals increasing damage based on hunger and its secondary attack allows the Glutton to eat player corpses (at increasing speeds the hungrier they are). Additionally, while holding Devour, the Glutton's movement speed and sprint regeneration increase based on how low their hunger is.

When the Glutton deals damage or eats a corpse with Devour, they regain health and they refill a portion of their hunger bar, always staving off starving! If the Glutton's hunger drops to zero, they will soon turn into the Ravenous!

The Ravenous is no longer on the Traitors' team and must kill everyone else to win! They also lose all their weapons save for their Devour and cannot pick up new weapons. Additionally, they emit a trail of blood-red smoke..";
#With what roles does this role play best?
$playsbestwith = '
<ul>
<li>Any Role</li>
<ul>
';
#Convars
$convars = "Normal Role Convars (also found in ULX):
<code># enable or disable this role
  ttt_glutton_enabled [0/1] (default: 1)
# the percentage of players that are spawned as this role
  ttt_glutton_pct [0.0..1.0] (default 0.15)
# the limit of players that spawn as this role each round, this overwrites the percentage
  ttt_glutton_max [0.0..n] (default: 1)
# the probility each round of this role being spawned at all
  ttt_glutton_random [0..100] (default: 33)
# the amount of players needed for this role to spawn
  ttt_glutton_min_players: [0..n] (default: 6)</code>

Glutton Convars:
<code># the rate at which Devour's eat ability spawns blood
  ttt2_eat_bleed_amount [0.00..n.nn] (default: 0.05)
# whether or not to emit the blood smoke trail
  ttt2_glut_do_blood_smoke [0 or 1] (default: 1)
# whether or not the glutton turns into Ravenous when they start starving
  ttt2_glut_turn_rav [0 or 1] (default: 1)
# how many seconds it takes for the glutton to completely starve (empty their hunger)
  ttt2_glut_hunger [0..n] (default: 120)
# the maximum health the glutton/ravenous can reach
  ttt2_glut_rav_max_health [0..n] (default: 250)
# what fraction of the damage dealt should devour heal
  ttt2_glut_devour_dmg_heal [0.0..n.n] (default 0.2)
# what fraction of hunger should devour fill
  ttt2_glut_devour_dmg_hunger [0.0..n.n] (default: 0.1)
# minimum damage devour deals (damage at max hunger)
  ttt2_glut_devour_dmg_base [0..n] (default: 20)
# maximum damage devour deals (damage at starving/Ravenous)
  ttt2_glut_devour_dmg_max [0..n] (default: 100)
# health gained from a kill with devour
  ttt2_glut_devour_kill_bonus [0..n] (default: 10)
# fraction of hunger filled by devour kill
  ttt2_glut_devour_kill_feed [0.0..n.n] (default: 0.20)
# minimum time it takes to eat body (time at starving/Ravenous)
  ttt2_glut_eat_time_base [0.0..n.n] (default: 0.50)
# maximum time it takes to eat body (time at full hunger)
  ttt2_glut_eat_time_max [0.0..n.n] (default: 5.00)
# health gain from eating body
  ttt2_glut_eat_health [0..n] (default: 50)
# fractional hunger gain from eating body
  ttt2_glut_eat_hunger [0.0..n.n] (default: 0.33)
# minimum movement speed multiplier when holding Devour (speed at Full Hunger)
  ttt2_glut_speed_base [0.0..n.n] (default: 1.0)
# maximum movement speed multiplier when holding Devour (speed at starving/Ravenous)
  ttt2_glut_speed_max [0.0..n.n] (default: 2.0)
# minimum sprint regen multiplier when holding Devour (regen at Full Hunger)
  ttt2_glut_stamina_base [0.0..n.n] (default: 1.0)
# maximum sprint regen multiplier when holding Devour (regen at starving/Ravenous)
  ttt2_glut_stamina_max [0.0..n.n] (default: 2.0)
# Delay after hitting zero hunger before begin starving/transforming into Ravenous
  ttt2_glut_rav_grace_time [0..n] (default: 5)</code>

Ravenous Convars (also found in F1 Menu):
<code># how much damage the Ravenous takes per 5 seconds
  ttt2_rav_hurt [0..n] (def. 5)
# how often the ravenous' radar scans
  ttt2_rav_radar_time [0..n] (def. 15)
# who gets alerted when Glutton becomes Ravenous (0 - only transforming player, 1 - everyone, 2 - traitors)
  ttt2_rav_alert [0,1,2] (def. 1)</code>";



#
# Credits
#

#The Steam URL to your addon
$steam = 'https://steamcommunity.com/sharedfiles/filedetails/?id=2465037140';
#The Source URL to your addon
$source = 'https://steamcommunity.com/linkfilter/?url=https://github.com/ZacharyHinds/ttt2-role-drk';

#Creator of the Addon
$author = 'Wasted';
#Creatorlink
$authorurl = 'https://steamcommunity.com/id/Zzzaaaccc13';

# Credittext (can use the above variables)
$ctext = 'Wasted: creator of this role addon
YAROK: creator of icons';

?>
